### Normaler Content definieren
# Content über Static-Template-Funktion holen
cd.content.normal < styles.content.get

### Linker Content definieren
# Content über Static-Template-Funktion holen
cd.content.left < styles.content.get
cd.content.left {

    # Umfassung für Content einfügen
        stdWrap.wrap = <div class="uzh-content-left">|</div>
    # Ausgabe nur wenn Content vorhanden:
        stdWrap.if.isTrue.numRows {
    # in Tabelle
        table = tt_content
    # unter Bedingung:
            select {
      # Spalte 'rechts'
            where = colPos=1
      # dieser Sprache
            languageField = sys_language_uid
      # dieser Seite
            pidInList.data = page:uid
        }
    }
  # Content formatieren
    renderObj {
    # Standard-Umfassung des Contents ändern
        stdWrap.innerWrap.cObject {
        # Klasse ändern
        default.15.value = teaser
      # Wenn 'section_frame' auf 'highlighted' gleich wie 'default':
            5 < tt_content.stdWrap.innerWrap.cObject.default
      # aber zusätzliche Klasse
            5.15.value = teaser highlighted
        }
    # Keine doppelten DIVs bei 'Insert Records'&#8232;
        shortcut.20.0.conf.tt_content.stdWrap.innerWrap.cObject = TEXT
    }
}

### Rechter Content definieren
# Content über Static-Template-Funktion holen
cd.content.right < styles.content.get
cd.content.right {
# Umfassung für Content einfügen
    stdWrap.wrap = <div class="uzh-content-right">|</div>
  # Ausgabe nur wenn Content vorhanden:
        stdWrap.if.isTrue.numRows {
    # in Tabelle
        table = tt_content
    # unter Bedingung:
            select {
        # Spalte 'rechts'
            where = colPos=2
      # dieser Sprache
            languageField = sys_language_uid
      # dieser Seite
            pidInList.data = page:uid
        }
    }
  # Content formatieren
    renderObj {
    # Standard-Umfassung des Contents ändern
        stdWrap.innerWrap.cObject {
        # Klasse ändern
        default.15.value = teaser
      # Wenn 'section_frame' auf 'highlighted' gleich wie 'default':
            5 < tt_content.stdWrap.innerWrap.cObject.default
      # aber zusätzliche Klasse
            5.15.value = teaser highlighted
        }
    # Keine doppelten DIVs bei 'Insert Records'&#8232;
        shortcut.20.0.conf.tt_content.stdWrap.innerWrap.cObject = TEXT
    }
}

### Content für Teaser (in Printview und Simpleview) definieren
# Content über Static-Template-Funktion holen
cd.content.teaser < cd.content.right
cd.content.teaser {
# Umfassung des Contents einfügen
    stdWrap.wrap = <div class="solidline"><!----></div>
}

### DIV für dreispaltiges Layout beginnen
cd.content.contentAreaStart = COA
cd.content.contentAreaStart.10 = TEXT
cd.content.contentAreaStart.10 {
# Ausgabe nur wenn Content vorhanden:
        if.isTrue.numRows {
    # in Tabelle
        table = tt_content
    # unter Bedingung
        select {
        # Spalte 'rechts'
            where = colPos=2
      # dieser Sprache
            languageField = sys_language_uid
      # dieser Seite
            pidInList.data = page:uid
        }
    }
  # Ausgabe
    value = <div class="col-md-6 col-sm-9">
}
### DIV fuer zweispaltiges Layout beginnen
cd.content.contentAreaStart.20 = TEXT
cd.content.contentAreaStart.20 {
# Ausgabe nur wenn Content NICHT vorhanden:
        if.isFalse.numRows {
    # in Tabelle
        table = tt_content
    # unter Bedingung
        select {
        # Spalte 'rechts'
            where = colPos=2
      # dieser Sprache
            languageField = sys_language_uid
      # dieser Seite
            pidInList.data = page:uid
        }
    }
    value = <div class="col-md-9">
}
### DIV für dreispaltiges Layout beenden
cd.content.contentAreaStop = COA
cd.content.contentAreaStop.10 = TEXT
cd.content.contentAreaStop.10 {
# Ausgabe nur wenn Content vorhanden:
        if.isTrue.numRows {
    # in Tabelle
        table = tt_content
    # unter Bedingung
        select {
        # Spalte 'rechts'
            where = colPos=2
      # dieser Sprache
            languageField = sys_language_uid
      # dieser Seite
            pidInList.data = page:uid
        }
    }
    value = <div class="col-md-3 col-sm-3" style="padding-top: 15px;">
}
### DIV fuer dreispaltiges Layout beenden
cd.content.contentAreaStop.20 = TEXT
cd.content.contentAreaStop.20 {
# Ausgabe nur wenn Content vorhanden:
        if.isFalse.numRows {
    # in Tabelle
        table = tt_content
    # unter Bedingung
        select {
        # Spalte 'rechts'
            where = colPos=2
      # dieser Sprache
            languageField = sys_language_uid
      # dieser Seite
            pidInList.data = page:uid
        }
    }
    value = <div class="col-md-0">
}


### Semesterauswahl-Dropdown-Box Marker entfernen
cd.content.semAuswahlBox = RECORDS
cd.content.semAuswahlBox {
# Records aus Tabelle
    tables = tt_content
  # ID des Records ermitteln
    source.cObject = COA
    source.cObject {
    # Array 10 (im homepagespezifischen Template mit weiteren Arrays zu erweitern)
        10 = TEXT
        10 {
        # tt-content record ID, in der die Semesterauswahlbox definiert ist.
                value =
      # nur wenn: mometane Seiten-ID
            if.isInList.data = page:uid
      # in definierter Liste der Seiten-IDs
            if.value =
        }
    # Optional fuer die Jahresauswahlbox
        20 < .10
    }
  # Formatiereung des Records
  #  conf.tt_content = USER_INT
  #  conf.tt_content {
    # PHP-Funktion aufrufen
  #      userFunc = user_dbq2->render
    # Diese Datei dazu includieren
  #      includeLibs = fileadmin/scripts/dbq2.inc.php
  #  }
}

### Titel für Content definieren
cd.content.title = TEXT
cd.content.title {
# Feld Untertitel, wenn leer Feld Titel
    field = subtitle // title
# Umfassen
    wrap = <h1>|</h1>
}

### Restriktion für "UZH/ETH only"-Inhalte (section_frame)
# Wenn IP in Range oder eingelogter User
    [IP = {$cd.restrictedIPRange}] || [loginUser = *]
# keine zusätzliche Abfrage auf 'section_frame'
cd.content {
# für verschiedene Contents
    normal.select.where = colPos=0
    left.select.where = colPos=1
    right.select.where = colPos=2
    teaser.select.where = colPos=2
}
[else]
# sonst 'section_frame' = 1 nicht anzeigen!
    cd.content {
# für verschiedene Contents
    normal.select.where = colPos=0 and section_frame!=1
    left.select.where = colPos=1 and section_frame!=1
    right.select.where = colPos=2 and section_frame!=1
    teaser.select.where = colPos=2 and section_frame!=1
}
[global]
# Ende "UZH/ETH only"-Inhalte


### Anpassungen an tt_content (css_styled_content)

## Formatierung der Titel
lib {
# Standard löeschen
    stdheader >
  # Neue Fallabfrage aufbauen
    stdheader = CASE
    stdheader {
    # key-Bedinung: Spalte
        key.field = colPos
    # Standard
    default = TEXT
    default {
        # Feld
            field = header
      # notwendig
            required = 1

      # Umfassung
            wrap = <h2>|</h2>
        }
    # bei Spalte 'links' wie Standard
        1 < .default
    # Umfassung ändern
        1.wrap = <h3>|</h3>
    # bei Spalte 'rechts' wie 'links'
        2 < .1
    }
}

## Formatierung der Frames
# Alte Definitionen in TMP speichern
temp.defaultStdInnerWrap < tt_content.stdWrap.innerWrap.cObject.default
tt_content {
# Umfassung jedes Contents
    stdWrap.innerWrap {
    # Verschiedene Typen löschen
        cObject >
    # Neue Fallabfrage aufbauen
        cObject = CASE
        cObject {
        # key-Bedingung: Frame
            key.field = section_frame
      # für Standard alte Einstellungen aus TMP laden
        default < temp.defaultStdInnerWrap
      # Abstand oben und unten löschen
        default.20 >
        }
    }
  # Formatierung der Suche
    search.30 {
    # Felder anpassen
        dataArray {
        # Label für Input-Feld Suchwort löschen
            10.label >
      # Label zuweisen
            10.label = Search:
            20 {
            # Label für Feld für zu durchsuchende Tabellen löschen
                label >
        # Werte für dieses Feld löschen
                valueArray >
        # Feld als versteckt definieren
                type = scols=hidden
        # Werte für zu durchsuchende Tabellen zuweisen
                value = pages.title-subtitle-keywords-description:tt_content.header-bodytext-imagecaption
            }
      # Bezeichnung für Submit-Button löschen
            40.value >
      # Bezeichnung für Submit-Button zuweisen
            40.value = Go!
        }
    # Suchformular umfassen
        stdWrap.wrap = <div class="csc-searchform">|</div>
    }
}

## Damit die Klasse 'bodytext' nicht in p-Tags gerendert wird
lib.parseFunc_RTE.nonTypoTagStdWrap.encapsLines.addAttributes >
## Damit die Klasse 'www' in Links generiert wird
lib.parseFunc_RTE.makelinks.http.ATagParams = class="www"
