### Konfiguration
config {
# Verschlüsselte Emailadressen
    spamProtectEmailAddresses = 1
  # Admin-Panel auf dem FE anzeigen
    admPanel = 1
  # Diese Parameter mit den generierten Links mitgeben
    linkVars = type, L
  # Dokument-Typ XHTML 1.0 strict für FE
  # doctype = xhtml_strict
  # Kein automatischer Seitentitel
    noPageTitle = 2
}

### Layout Standard 'page' (0)
page = PAGE
page {
    typeNum = 0
    bodyTag = <body>
  # Meta-Tags definieren
    meta {
        X-UA-Compatible = IE=edge
        X-UA-Compatible.attribute = http-equiv
        viewport=width=device-width, initial-scale=1
    # 'keywords' aus Feld 'keywords'
        keywords.data = levelfield:-1, keywords, slide
    # oder dieser Standard-Inhalt
        keywords.ifEmpty = {$cd.meta.keywords}
    # 'description' aus Feld 'description'
        description.data = levelfield:-1, description, slide
    # oder dieser Standard-Inhalt
        description.ifEmpty = {$cd.meta.description}
    # Angaben für Robots (Google)
        robots = {$cd.meta.robots}
    # Meta Charset
        charset = {$cd.meta.charset}

    }
  # Zusätzliche Daten im html-header-Bereich
    headerData {
        5 = COA
    # Seitentitel eintragen
        5 < cd.header.headerTitle
        10 = TEXT
    # Favicon der UZH einbinden
        10.value = <link rel="shortcut icon" href="{$cd.favicon}" /><link rel="icon" href="{$cd.favicon}" />
    }

  ### Extension 'https_enforcer' aktivieren
    5 < plugin.tx_httpsenforcer_pi1

    includeCSS {
        10 = {$cd.bootstrap.stylesheet}
        30 = {$cd.extra.css.file1}
        31 = {$cd.extra.css.file2}
        32 = {$cd.extra.css.file3}
        33 = {$cd.extra.css.file4}
        34 = {$cd.extra.css.file5}
        35 = {$cd.extra.css.file6}
        36 = {$cd.extra.css.file7}
        37 = {$cd.extra.css.file8}
        38 = {$cd.extra.css.file9}
        100 = typo3conf/ext/uzh_cd_template/Resources/Public/Css/bootstrap.cd.css
        110 = {$cd.stylesheet}
    }


    includeJS {
        10 ={$cd.jquery.js}
        20 = {$cd.bootstrap.js}
        30 = {$cd.extra.js.file1}
        31 = {$cd.extra.js.file2}
        32 = {$cd.extra.js.file3}
        33 = {$cd.extra.js.file4}
        34 = {$cd.extra.js.file5}
        35 = {$cd.extra.js.file6}
        36 = {$cd.extra.js.file7}
        37 = {$cd.extra.js.file8}
        38 = {$cd.extra.js.file9}
    }

    includeJSFooter {
        50 = {$cd.extra.js.footer.file1}
        100 = typo3conf/ext/uzh_cd_template/Resources/Public/js/hamburger.js
    }

  ### body-Part mit HTML-Template aufbauen
    10 = FLUIDTEMPLATE
    10 {
    # Dieses HTML-Template verwenden
        file = typo3conf/ext/uzh_cd_template/Resources/Private/Templates/template.html
        variables {
        # Bei dreispaltigem Layout zusätzlicher DIV starten
            contentarea_start < cd.content.contentAreaStart
        # Bei dreispaltigem Layout zusätzlicher DIV abschliessen
            contentarea_stop < cd.content.contentAreaStop
        # Bei Printview und Simpleview Teaser-Boxen (ContentRight) unterhalb des Contents einfügen
        #    TEASER < cd.content.teaser
        #    SEARCHID < cd.header.search
        }
    }
}

### Layout Printview 'page_printview' (1)
page_printview < .page
page_printview {
    typeNum = 1
  # Meta-Tags nicht ausgeben
    meta >
  # spezifisches Stylesheet entfernen
    headerData.30 >
  # Zusätzliche Daten im html-header-Bereich
    headerData.40 = TEXT
  # CSS für Printview (Corporate Design) der UZH einbinden
    headerData.40.value = <link rel="stylesheet" type="text/css" href="typo3conf/ext/uzh_cd_template/Resources/Public/Css/print.css" media="all" />
        10 {
    # HTML-Template für Printview ändern
        template.file = typo3conf/ext/uzh_cd_template/Resources/Private/Templates/template_printview.html
    # Link für Impressum im Footer nicht ausgeben
        subparts.FOOTER.30 >
    }
}

### Layout Printhead fuer 'page_printview' (1)
page_printhead < .page
page_printhead {
    typeNum = 10
  # Meta-Tags nicht ausgeben
    meta >
  # spezifisches Stylesheet entfernen
    headerData.30 >
  # Zusätzliche Daten im html-header-Bereich
    headerData.40 = TEXT
  # CSS für Printview (Corporate Design) der UZH einbinden
    headerData.40.value = <link rel="stylesheet" type="text/css" href="typo3conf/ext/uzh_cd_template/Resources/Public/Css/print.css" media="all" />
        10 {
    # HTML-Template für Printview ändern
        template.file = typo3conf/ext/uzh_cd_template/Resources/Private/Templates/template_print_header.html
    # Link für Impressum im Footer nicht ausgeben
        subparts.FOOTER.30 >
    }
}

### Layout Content only 'page_content' (3)
page_content = PAGE
page_content {
    typeNum = 2
  # Reiner Content (ohne Template) laden
    10 < styles.content.get
}

### Template for Login
plugin.tx_felogin_pi1.templateFile = typo3conf/ext/uzh_cd_template/Resources/Public/Templates/template_login.html
plugin.tx_felogin_pi1.errorMessage_stdWrap.wrap = <div class="alert alert-danger" role="alert">|</div>



### Ab definierten PIDs das Layout ändern "100% Seitenbreite"
    [PIDinRootline = {$cd.fullWidth.pidList}]
# Im normalen Layout 'page' (0) zusätzliche Daten im html-header-Bereich einfügen
page.headerData.50 = TEXT
page.headerData.50 {
# CSS-Eigenschaften für Breite der Homepage = 100% setzen
    value = div.container { width:98%; margin-left: auto; margin-right: auto; }   div.uzh-top-line { width:98%; } @media (min-width: 1200px) { div.container { min-width: 98%; } }@media (min-width: 992px) { .uzh-content-area>.col-md-3, .uzh-footer-area>.col-md-3 { width: 15%; } .uzh-content-area>.col-md-9, .uzh-footer-area>.col-md-9 {  width: 85%;} .uzh-content-area>.col-md-6, .uzh-footer-area>.col-md-6 { width: 70%;} }
  # CSS mit style-Tag umfassen
    wrap = <style type="text/css">|</style>
}
page_bigview.headerData.50 < page.headerData.50
    [GLOBAL]
# Ende "100% Seitenbreite"
